Loading...
Searching...
No Matches
Digraph::OutArcIt Class Reference

## Detailed Description

This iterator goes trough the outgoing arcs of a certain node of a digraph. Its usage is quite simple, for example, you can count the number of outgoing arcs of a node `n` in a digraph `g` of type `Digraph` as follows.

int count=0;
for (Digraph::OutArcIt a(g, n); a!=INVALID; ++a) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32

`#include <lemon/concepts/digraph.h>`

## Public Member Functions

| OutArcIt ()
| Default constructor.
| OutArcIt (const OutArcIt &e)
| Copy constructor.
| OutArcIt (Invalid)
| Invalid constructor & conversion.
| OutArcIt (const Digraph &, const Node &)
| Sets the iterator to the first outgoing arc.
| OutArcIt (const Digraph &, const Arc &)
| Sets the iterator to the given arc.
OutArcIt & | operator++ ()
| Next outgoing arc.

## Constructor & Destructor Documentation

## OutArcIt() [1/5]

OutArcIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## OutArcIt() [2/5]

OutArcIt | ( | const OutArcIt & | e | ) |

inline

Copy constructor.

## OutArcIt() [3/5]

OutArcIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## OutArcIt() [4/5]

OutArcIt | ( | const Digraph & | ,
|  | const Node & | )

inline

Sets the iterator to the first outgoing arc of the given node.

## OutArcIt() [5/5]

OutArcIt | ( | const Digraph & | ,
|  | const Arc & | )

inline

Sets the iterator to the given arc of the given digraph.

## Member Function Documentation

## operator++()

OutArcIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next outgoing arc of the corresponding node.